from BasicRegister import BasicRegister


def get_memory(variable_name: str) -> list[bool]:
    while True:
        input_chars: list[str] = list(input(f"Enter {variable_name}: "))

        if all(character in ["0", "1"] for character in input_chars):
            return [True if character == "1" else False for character in input_chars]
        else:
            print(f"[ERROR] The {variable_name} may contain only 1-s and 0-s!")


if __name__ == '__main__':
    reg: BasicRegister = BasicRegister(get_memory("memory"))

    print(reg)

    print(reg.left_shift())
    print(reg)

    print(reg.right_shift())
    print(reg)
